using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using VIZ.Framework.Core;

namespace VIZ.Package.Module
{
    /// <summary>
    /// ImageEditPanel.xaml 的交互逻辑
    /// </summary>
    public partial class ImageEditPanel : UserControl
    {
        public ImageEditPanel()
        {
            InitializeComponent();

            ImageEditPanelModel vm = new ImageEditPanelModel();
            WPFHelper.BindingViewModel(this.ghResourcePanel, vm.GHResourceEditPartModel);
            WPFHelper.BindingViewModel(this.mhResourcePanel,vm.MHResourceEditPartModel);
            WPFHelper.BindingViewModel(this, vm);
        }
    }
}
